#### detached_t::as_default_on_t

Type alias to adapt an I/O object to use `detached_t` as its default completion token type.

    typedef typename T::template rebind_executor< executor_with_default< typename T::executor_type > >::other as_default_on_t;

###### Types

Name | Description
--- | ---
default_completion_token_type | Specify detached_t as the default completion token type.

###### Member Functions

Name | Description
--- | ---
executor_with_default [constructor] | Construct the adapted executor from the inner executor type. — Convert the specified executor to the inner executor type, then use that to construct the adapted executor.

###### Requirements

Header: `asio/detached.hpp`

Convenience header: `asio.hpp`